curl -X POST https://api.chessplay.io/api/v1/classrooms/1/remove-student/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"student_id": 123}'
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.post(
"https://api.chessplay.io/api/v1/classrooms/1/remove-student/",
headers=headers,
json={"student_id": 123}
)
{
"message": "Student removed successfully",
"student": {
"id": 123,
"username": "FastMalamute",
"name": "John Doe"
}
}
{
"error": "Student is not in this classroom"
}
Classrooms
Remove Student from Classroom
Remove a student from a classroom
POST
/
api
/
v1
/
classrooms
/
{id}
/
remove-student
/
curl -X POST https://api.chessplay.io/api/v1/classrooms/1/remove-student/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"student_id": 123}'
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.post(
"https://api.chessplay.io/api/v1/classrooms/1/remove-student/",
headers=headers,
json={"student_id": 123}
)
{
"message": "Student removed successfully",
"student": {
"id": 123,
"username": "FastMalamute",
"name": "John Doe"
}
}
{
"error": "Student is not in this classroom"
}
Path Parameters
integer
required
Classroom ID
Body Parameters
integer
required
Student ID to remove
curl -X POST https://api.chessplay.io/api/v1/classrooms/1/remove-student/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"student_id": 123}'
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.post(
"https://api.chessplay.io/api/v1/classrooms/1/remove-student/",
headers=headers,
json={"student_id": 123}
)
{
"message": "Student removed successfully",
"student": {
"id": 123,
"username": "FastMalamute",
"name": "John Doe"
}
}
{
"error": "Student is not in this classroom"
}
Was this page helpful?
⌘I

